Subject: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 24 Feb 2012 14:34:43 +1100

Hi all,

After merging the tip tree, today's linux-next build (x86_64_allmodconfig)
failed like this:

/opt/cross/gcc-4.6-nolibc/x86_64-linux/bin/x86_64-linux-objcopy:arch/x86/vdso/vdso-note-x32.o: Invalid bfd target

I appears that we need a 2.22 binutils :-(

$ /opt/cross/gcc-4.6-nolibc/x86_64-linux/bin/x86_64-linux-objcopy --version
GNU objcopy (GNU Binutils) 2.21
$ /opt/cross/gcc-4.6-nolibc/x86_64-linux/bin/x86_64-linux-objcopy --help
	.
	.
/opt/cross/gcc-4.6-nolibc/x86_64-linux/bin/x86_64-linux-objcopy: supported targets: elf64-x86-64 elf32-i386 a.out-i386-linux pei-i386 pei-x86-64 elf64-l1om elf64-little elf64-big elf32-little elf32-big srec symbolsrec verilog tekhex binary ihex

I have applied the following patch for today:

From: Stephen Rothwell <[email-masked]>
Date: Fri, 24 Feb 2012 14:27:17 +1100
Subject: [PATCH] x86: mark X86_X32_ABI broken for now until I get a better
 binutils

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 arch/x86/Kconfig |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/arch/x86/Kconfig b/arch/x86/Kconfig
index 59c5b9c..e63a4dd 100644
--- a/arch/x86/Kconfig
+++ b/arch/x86/Kconfig
@@ -2159,7 +2159,7 @@ config IA32_AOUT
 
 config X86_X32_ABI
 	bool "x32 ABI for 64-bit mode (EXPERIMENTAL)"
-	depends on X86_64 && IA32_EMULATION && EXPERIMENTAL
+	depends on X86_64 && IA32_EMULATION && EXPERIMENTAL && BROKEN
 	---help---
 	  Include code to run binaries for the x32 native 32-bit ABI
 	  for 64-bit processors.  An x32 process gets access to the
-- 
1.7.9.1

-- 
Cheers,
Stephen Rothwell                    [email-masked]